curl --request GET \
--url https://api.galileo.ai/v2/projects/{project_id}/runs/{run_id}/signals \
--header 'Splunk-AO-API-Key: <api-key>'import requests
url = "https://api.galileo.ai/v2/projects/{project_id}/runs/{run_id}/signals"
headers = {"Splunk-AO-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Splunk-AO-API-Key': '<api-key>'}};
fetch('https://api.galileo.ai/v2/projects/{project_id}/runs/{run_id}/signals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.galileo.ai/v2/projects/{project_id}/runs/{run_id}/signals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Splunk-AO-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.galileo.ai/v2/projects/{project_id}/runs/{run_id}/signals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Splunk-AO-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.galileo.ai/v2/projects/{project_id}/runs/{run_id}/signals")
.header("Splunk-AO-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.galileo.ai/v2/projects/{project_id}/runs/{run_id}/signals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Splunk-AO-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"display_key": "<string>",
"title": "<string>",
"description": "<string>",
"labels": [
"<string>"
],
"severity_level": "LOW",
"status": "OPEN",
"notifications_muted": true,
"affected_session_count": 1,
"remediation_summary": {
"primary_recommendation": {
"id": "<string>",
"type": "<string>",
"title": "<string>",
"state": "PROPOSED"
},
"latest_action": {
"id": "<string>",
"type": "<string>",
"title": "<string>",
"state": "PROPOSED"
},
"recommendation_count": 1,
"completed_action_count": 1
},
"merged_signal_count": 1,
"last_seen_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"next_cursor": "<string>",
"total": 1
},
"facets": {
"labels": [
{
"label": "<string>",
"count": 1
}
],
"open_count": 1,
"resolved_count": 1,
"muted_count": 1,
"active_count": 1,
"archived_count": 1
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}List Signals
List top-level Signals for one log stream or experiment run.
Results are ordered by internal priority and last seen time. Open Signals whose notifications are not muted are returned by default. A cursor may be reused only with the same filters.
curl --request GET \
--url https://api.galileo.ai/v2/projects/{project_id}/runs/{run_id}/signals \
--header 'Splunk-AO-API-Key: <api-key>'import requests
url = "https://api.galileo.ai/v2/projects/{project_id}/runs/{run_id}/signals"
headers = {"Splunk-AO-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Splunk-AO-API-Key': '<api-key>'}};
fetch('https://api.galileo.ai/v2/projects/{project_id}/runs/{run_id}/signals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.galileo.ai/v2/projects/{project_id}/runs/{run_id}/signals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Splunk-AO-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.galileo.ai/v2/projects/{project_id}/runs/{run_id}/signals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Splunk-AO-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.galileo.ai/v2/projects/{project_id}/runs/{run_id}/signals")
.header("Splunk-AO-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.galileo.ai/v2/projects/{project_id}/runs/{run_id}/signals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Splunk-AO-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"display_key": "<string>",
"title": "<string>",
"description": "<string>",
"labels": [
"<string>"
],
"severity_level": "LOW",
"status": "OPEN",
"notifications_muted": true,
"affected_session_count": 1,
"remediation_summary": {
"primary_recommendation": {
"id": "<string>",
"type": "<string>",
"title": "<string>",
"state": "PROPOSED"
},
"latest_action": {
"id": "<string>",
"type": "<string>",
"title": "<string>",
"state": "PROPOSED"
},
"recommendation_count": 1,
"completed_action_count": 1
},
"merged_signal_count": 1,
"last_seen_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"next_cursor": "<string>",
"total": 1
},
"facets": {
"labels": [
{
"label": "<string>",
"count": 1
}
],
"open_count": 1,
"resolved_count": 1,
"muted_count": 1,
"active_count": 1,
"archived_count": 1
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Query Parameters
Case-insensitive title and problem search. An exact SIG-N value also matches the display key.
1 - 255Match Signals containing any selected label.
201 - 255Severity levels to include.
3Severity level shown to users and used for notification selection.
LOW, MEDIUM, HIGH User-marked states to include. Defaults to open Signals.
2Signal state selected by a user.
OPEN, RESOLVED Notification state to include. Defaults to Signals whose notifications are not muted.
UNMUTED, MUTED, ALL ACTIVE or ARCHIVED tab. When set, this replaces statuses and notification_state filters. Product tab represented by a list request.
ACTIVE, ARCHIVED Include Signals last seen at or after this timestamp.
Include Signals last seen before this timestamp.
Cursor returned by the previous page with the same filters.
1 - 2048Maximum Signals returned in one page.
1 <= x <= 100Response
Successful Response
Was this page helpful?